## kf6-ktexttemplate 6.19.0+p24.04+vstable+git20251023.0112

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
project(KTextTemplate VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  CONFIG)
set_package_properties(ECM PROPERTIES
  TYPE REQUIRED
  DESCRIPTION "Extra CMake Modules."
  URL "https://commits.kde.org/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt6Qml ${REQUIRED_QT_VERSION} NO_MODULE)

set_package_properties(Qt6Qml PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Build Javascript binding for KTextDocument"
)

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(KTextTemplate_MODULE_DIR ${CMAKE_SOURCE_DIR}/cmake/modules)
list(APPEND CMAKE_MODULE_PATH ${KTextTemplate_MODULE_DIR})

if (CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wshadow -std=iso9899:1990 -Werror-implicit-function-declaration")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wshadow -fno-check-new")
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

kde_enable_exceptions()

set( KTextTemplate_INSTALL_PLUGINDIR ${KDE_INSTALL_PLUGINDIR}/kf6/ktexttemplate )

include("${KTextTemplate_MODULE_DIR}/KF6TextTemplateMacros.cmake")

set(ktexttemplate_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/ktexttemplate_version.h")
ecm_setup_version(PROJECT
  VARIABLE_PREFIX KTEXTTEMPLATE
  VERSION_HEADER "${ktexttemplate_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextTemplateConfigVersion.cmake"
  SOVERSION 6
)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextTemplate" )

configure_package_config_file(
  "${KTextTemplate_MODULE_DIR}/KF6TextTemplateConfig.cmake.in"
  "${CMAKE_BINARY_DIR}/KF6TextTemplateConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_BINARY_DIR}/KF6TextTemplateConfig.cmake"
  "${CMAKE_BINARY_DIR}/KF6TextTemplateConfigVersion.cmake"
  "${KTextTemplate_MODULE_DIR}/KF6TextTemplateMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6TextTemplateTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  NAMESPACE KF6::
  FILE KF6TextTemplateTargets.cmake
)

install(FILES
  ${ktexttemplate_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KTextTemplate
  COMPONENT Devel
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vstable+git20251023.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:12:39 +0000

=== debian/control ===
Source: kf6-ktexttemplate
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/ktexttemplate
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktexttemplate.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktexttemplate
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktexttemplate
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6texttemplate-data, libkf6texttemplate6
Description: KTextTemplate is a Free Software library written using 
 the Qt framework.
 The goal of KTextTemplate is to make it easier for application 
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation 
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.

Package: kf6-ktexttemplate-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-ktexttemplate (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6texttemplate-dev, libkf6texttemplate-doc
Description: KTextTemplate is a Free Software library written using 
 the Qt framework.
 The goal of KTextTemplate is to make it easier for application 
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation 
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.
 .
 The development files for KTextTemplate

Package: libkf6texttemplate6
Architecture: all
Depends: kf6-ktexttemplate, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-data
Architecture: all
Depends: kf6-ktexttemplate, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-dev
Architecture: all
Depends: kf6-ktexttemplate-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-doc
Architecture: all
Depends: kf6-ktexttemplate-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-ktexttemplate 6.19.0+p24.04+vunstable+git20251020.0232

=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vunstable+git20251020.0232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:32:28 +0000

## kf6-ktexttemplate 6.19.0+p24.04+vunstable+git20251021.0331

=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vunstable+git20251021.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:31:03 +0000

## kf6-ktexttemplate 6.19.0+p24.04+vunstable+git20251111.0353

=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vunstable+git20251111.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:53:30 +0000

## kf6-ktexttemplate 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  CONFIG)
+find_package(ECM 6.20.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."

=== src/CMakeLists.txt ===

add_subdirectory(lib)

add_subdirectory(loadertags)
add_subdirectory(defaulttags)

add_subdirectory(defaultfilters)

add_subdirectory(i18n)

=== debian/changelog ===
kf6-ktexttemplate (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:03 +0100

=== debian/control ===
Source: kf6-ktexttemplate
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/ktexttemplate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate
Rules-Requires-Root: no

Package: libkf6texttemplate-dev
Section: libdevel
Architecture: any
Depends: libkf6texttemplate6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6texttemplate-doc (= ${source:Version}),
Description: library used for text processing - development files
 The goal of KTextTemplate is to make it easier for application
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.
 .
 This package contains the development files for KTextTemplate.

Package: libkf6texttemplate-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library used for text processing - documentation
 The goal of KTextTemplate is to make it easier for application
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.
 .
 This package contains the documentation for KTextTemplate.

Package: libkf6texttemplate6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library used for text processing
 The goal of KTextTemplate is to make it easier for application
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.

## kf6-ktexttemplate 6.20.0+p24.04+vunstable+git20251122.0536

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-ktexttemplate (6.20.0+p24.04+vunstable+git20251122.0536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 05:36:02 +0000

kf6-ktexttemplate (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-ktexttemplate 6.21.0

=== debian/changelog ===
kf6-ktexttemplate (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:25 +0000

kf6-ktexttemplate (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-ktexttemplate
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,21 +10,21 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.20.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               extra-cmake-modules (>= 6.21.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktexttemplate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
 Rules-Requires-Root: no
 
 Package: libkf6texttemplate-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6texttemplate6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6texttemplate-doc (= ${source:Version}),
 Description: library used for text processing - development files
@@ -57,8 +58,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library used for text processing
  The goal of KTextTemplate is to make it easier for application
  developers to separate the structure of documents from the data

## kf6-ktexttemplate 6.21.0+p24.04+vstable+git20251207.0651

=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vstable+git20251207.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:51:48 +0000

kf6-ktexttemplate (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:09:53 +1000

## kf6-ktexttemplate 6.21.0+p24.04+vstable+git20260102.1100

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  CONFIG)
+find_package(ECM 6.21.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."
@@ -47,7 +47,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 kde_enable_exceptions()

=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:54 +0000

## kf6-ktexttemplate 6.21.0+p24.04+vstable+git20260103.0212

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  CONFIG)
+find_package(ECM 6.22.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."

=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vstable+git20260103.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:12:20 +0000

## kf6-ktexttemplate 6.21.0+p24.04+vunstable+git20251207.0544

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  CONFIG)
+find_package(ECM 6.21.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."
@@ -47,7 +47,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
+    QT 6.10.0
 )
 
 kde_enable_exceptions()

=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vunstable+git20251207.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:44:47 +0000

## kf6-ktexttemplate 6.22.0

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(ktexttemplate_examples)

include(ExternalProject)

if (IS_ABSOLUTE ${CMAKE_PREFIX_PATH})
  set(prefixPath ${CMAKE_PREFIX_PATH})
else()
  set(prefixPath ${CMAKE_BINARY_DIR}/${CMAKE_PREFIX_PATH})
endif()

ExternalProject_Add(books
  SOURCE_DIR ${CMAKE_SOURCE_DIR}/books
  INSTALL_COMMAND ""
  CMAKE_ARGS
    -DCMAKE_PREFIX_PATH=${prefixPath}
)
ExternalProject_Add(codegen
  SOURCE_DIR ${CMAKE_SOURCE_DIR}/codegen
  INSTALL_COMMAND ""
  CMAKE_ARGS
    -DCMAKE_PREFIX_PATH=${prefixPath}
  DEPENDS books
)

ExternalProject_Add(contacts
  SOURCE_DIR ${CMAKE_SOURCE_DIR}/contacts
  INSTALL_COMMAND ""
  CMAKE_ARGS
    -DCMAKE_PREFIX_PATH=${prefixPath}
  DEPENDS codegen
)

if(FALSE) # remove once htmlapps is ported

# TODO port away from Qt5::XmlPatterns & Qt5::WebKit
ExternalProject_Add(htmlapps
  SOURCE_DIR ${CMAKE_SOURCE_DIR}/htmlapps
  INSTALL_COMMAND ""
  CMAKE_ARGS
    -DCMAKE_PREFIX_PATH=${prefixPath}
  DEPENDS contacts
)

endif()

=== examples/contacts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(contacts_ktexttemplate)

find_package(KF6TextTemplate REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

configure_file(ktexttemplate_paths.h.cmake ${PROJECT_BINARY_DIR}/ktexttemplate_paths.h)

add_executable(contacts_linguist
  main_linguist.cpp
  mainwindow.cpp
  contact.cpp
)
target_link_libraries(
  contacts_linguist
  KF6::TextTemplate
)

find_package(Qt6WebEngineWidgets REQUIRED)
find_package(Qt6LinguistTools REQUIRED)
target_link_libraries(
  contacts_linguist
  Qt6::WebEngineWidgets
)
set(lupdate_exe Qt6::lupdate)
set(lrelease_exe Qt6::lrelease)

execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${PROJECT_SOURCE_DIR}/../../scripts" "${PROJECT_SOURCE_DIR}/scripts")

set( LINGUIST_TS_ARGS COMMAND "${CMAKE_SOURCE_DIR}/scripts/extract_strings_linguist.py"
  "${CMAKE_SOURCE_DIR}/themes/linguist/bashful/*.html"
  "${CMAKE_SOURCE_DIR}/themes/linguist/sneezy/*.html"
  "${CMAKE_SOURCE_DIR}/themes/linguist/sleepy/*.html"
  ">" "${CMAKE_BINARY_DIR}/output.cpp"
  COMMAND ${lupdate_exe} "${CMAKE_BINARY_DIR}/output.cpp" "-ts" )

set (CONTACTS_LOCALES "fr_FR" "de_DE" )

foreach(CONTACT_LOCALE ${CONTACTS_LOCALES})
    list(APPEND LINGUIST_TS_ARGS "${CMAKE_SOURCE_DIR}/${CONTACT_LOCALE}.ts" )
endforeach()

add_custom_target(linguist_ts
  ${LINGUIST_TS_ARGS}
    VERBATIM
)

foreach(CONTACT_LOCALE ${CONTACTS_LOCALES})
    list(APPEND _LINGUIST_QM_ARGS COMMAND ${lrelease_exe} "${CMAKE_SOURCE_DIR}/${CONTACT_LOCALE}.ts" "-qm" "${CMAKE_BINARY_DIR}/contacts_${CONTACT_LOCALE}.qm" )
endforeach()

add_custom_target(linguist_qm
  ${_LINGUIST_QM_ARGS}
)

=== examples/htmlapps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(htmlapps)

find_package(KF6TextTemplate REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

get_property(KTextTemplate_PLUGIN_DIR TARGET KF6::defaulttags PROPERTY LOCATION)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)

configure_file(ktexttemplate_paths.h.cmake ${PROJECT_BINARY_DIR}/ktexttemplate_paths.h)

add_library(customplugin MODULE
  customplugin.cpp
  rssfeed.cpp
)
ktexttemplate_adjust_plugin_name(customplugin)

find_package(Qt5 REQUIRED XmlPatterns Network)

target_link_libraries(customplugin
  KF6::TextTemplate
  Qt6::XmlPatterns
  Qt6::Network
)

add_executable(htmlapps
  main.cpp
  mainwindow.cpp
  localrequestmanager.cpp
  templatereply.cpp
)

find_package(Qt5WebKitWidgets REQUIRED)

target_link_libraries(htmlapps
  KF6::TextTemplate
  Qt6::WebKitWidgets
  )

=== debian/changelog ===
kf6-ktexttemplate (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),

## kf6-ktexttemplate 6.22.0+p24.04+vstable+git20260106.0706

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vstable+git20260106.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 07:07:00 +0000

kf6-ktexttemplate (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:46 +1000

## kf6-ktexttemplate 6.22.0+p24.04+vstable+git20260111.0106

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  CONFIG)
+find_package(ECM 6.22.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."
@@ -47,7 +47,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 kde_enable_exceptions()

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vstable+git20260111.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:06:28 +0000

## kf6-ktexttemplate 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:12 +0000

## kf6-ktexttemplate 6.22.0+p24.04+vunstable+git20260123.0324

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vunstable+git20260123.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:24:07 +0000

## kf6-ktexttemplate 6.22.0+p24.04+vunstable+git20260129.0302

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vunstable+git20260129.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:02:32 +0000

## kf6-ktexttemplate 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KTextTemplate VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  CONFIG)
+find_package(ECM 6.23.0  CONFIG)
 set_package_properties(ECM PROPERTIES
   TYPE REQUIRED
   DESCRIPTION "Extra CMake Modules."

=== examples/books/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(books_ktexttemplate)

find_package(KF6TextTemplate REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

get_property(KTextTemplate_PLUGIN_DIR TARGET KF6::defaulttags PROPERTY LOCATION)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)
get_filename_component(KTextTemplate_PLUGIN_DIR ${KTextTemplate_PLUGIN_DIR} PATH)

configure_file(ktexttemplate_paths.h.cmake ${PROJECT_BINARY_DIR}/ktexttemplate_paths.h)

find_package(Qt6Widgets REQUIRED)
find_package(Qt6Sql REQUIRED)

add_executable(books
  main.cpp
  bookwindow.cpp
  bookwrapper.cpp
  bookdelegate.cpp
  books.qrc
)

target_link_libraries(books
  KF6::TextTemplate
  Qt6::Widgets
  Qt6::Sql
)

=== debian/changelog ===
kf6-ktexttemplate (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
 Source: kf6-ktexttemplate
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.22.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               extra-cmake-modules (>= 6.23.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/ktexttemplate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate
 
 Package: libkf6texttemplate-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6texttemplate6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6texttemplate-doc (= ${source:Version}),
 Description: library used for text processing - development files
@@ -58,7 +55,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: library used for text processing
  The goal of KTextTemplate is to make it easier for application
  developers to separate the structure of documents from the data
